import argparse
import logging

from app import app, userfiles as user_files, build_logs, dockerfile_build_queue

from buildman.manager.enterprise import EnterpriseManager
from buildman.server import BuilderServer

logger = logging.getLogger(__name__)

if __name__ == '__main__':
  logging.basicConfig(level=logging.DEBUG)

  parser = argparse.ArgumentParser()
  parser.add_argument("--host", type = str, default = "127.0.0.1", help = 'Host IP.')
  args = parser.parse_args()

  server = BuilderServer(app.config['SERVER_HOSTNAME'], dockerfile_build_queue, build_logs,
                         user_files, EnterpriseManager)
  server.run(args.host)  
